package com.qxgmat.dto.request;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * Created by GaoJie on 2017/11/3.
 */
public class UserOauthLoginDto {

    @NotBlank(message = "授权码不能为空")
    @ApiModelProperty(value = "授权码", required = true)
    private String code;

    @NotBlank(message = "第三方登录平台不能为空")
    @ApiModelProperty(value = "第三方登录平台", required = true, allowableValues = "wechat,taobao")
    private String platform;


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }
}
